## ros-ardent-rviz-default-plugins 3.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_default_plugins)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

find_package(ament_cmake REQUIRED)

# Qt5 boilerplate options from http://doc.qt.io/qt-5/cmake-manual.html
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(pluginlib REQUIRED)
find_package(rviz_common REQUIRED)
find_package(rviz_rendering REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets)

# find_package(geometry_msgs REQUIRED)
find_package(rclcpp REQUIRED)
# find_package(tf2 REQUIRED)
# find_package(tf2_geometry_msgs REQUIRED)
# find_package(tf2_ros REQUIRED)

# These need to be added in the add_library() call so AUTOMOC detects them.
set(rviz_default_plugins_headers_to_moc
  src/rviz_default_plugins/displays/camera/camera_display.hpp
  src/rviz_default_plugins/displays/grid/grid_display.hpp
  src/rviz_default_plugins/displays/image/image_display.hpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_common.hpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_display.hpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud2_display.hpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_transformer.hpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_helpers.hpp
  src/rviz_default_plugins/displays/polygon/polygon_display.hpp
  src/rviz_default_plugins/displays/tf/frame_info.hpp
  src/rviz_default_plugins/displays/tf/tf_display.hpp
)

set(rviz_default_plugins_source_files
  src/rviz_default_plugins/displays/camera/camera_display.cpp
  src/rviz_default_plugins/displays/grid/grid_display.cpp
  src/rviz_default_plugins/displays/image/image_display.cpp
  src/rviz_default_plugins/displays/image/ros_image_texture.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/axis_color_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/flat_color_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/intensity_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/rgb8_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/rgbf32_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/xyz_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_common.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_to_point_cloud2.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_selection_handler.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_display.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud2_display.cpp
  src/rviz_default_plugins/displays/polygon/polygon_display.cpp
  src/rviz_default_plugins/displays/tf/frame_info.cpp
  src/rviz_default_plugins/displays/tf/frame_selection_handler.cpp
  src/rviz_default_plugins/displays/tf/tf_display.cpp
  src/rviz_default_plugins/tools/move/move_tool.cpp
  src/rviz_default_plugins/view_controllers/orbit/orbit_view_controller.cpp
)

add_library(rviz_default_plugins SHARED
  ${rviz_default_plugins_headers_to_moc}
  ${rviz_default_plugins_source_files}
)
target_include_directories(rviz_default_plugins
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    # $<INSTALL_INTERFACE:include>
)
target_link_libraries(rviz_default_plugins
  rviz_rendering::rviz_rendering
  rviz_common::rviz_common
)
ament_target_dependencies(rviz_default_plugins
  # geometry_msgs
  rclcpp
  # tf2
  # tf2_geometry_msgs
  # tf2_ros
)

pluginlib_export_plugin_description_file(rviz_common plugins_description.xml)

# prevent pluginlib from using boost
target_compile_definitions(rviz_default_plugins PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(rviz_default_plugins PRIVATE "RVIZ_DEFAULT_PLUGINS_BUILDING_LIBRARY")

ament_export_interfaces(rviz_default_plugins)
ament_export_dependencies(Qt5)
ament_export_dependencies(rviz_rendering)
ament_export_dependencies(
  # geometry_msgs
  rclcpp
  # tf2
  # tf2_geometry_msgs
  # tf2_ros
)

install(
  TARGETS rviz_default_plugins
  EXPORT rviz_default_plugins
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

if(BUILD_TESTING)
  # TODO(wjwwood): replace this with ament_lint_auto() and/or add the copyright linter back
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_cmake_gmock REQUIRED)

# TODO(greimela): reenable these tests once they can be run on the ci
#  ament_add_gtest(point_cloud2_display_test
#      test/rviz_default_plugins/displays/pointcloud/message_creators.hpp
#      test/rviz_default_plugins/displays/pointcloud/message_creators.cpp
#      test/rviz_default_plugins/displays/pointcloud/point_cloud2_display_test.cpp
#      APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_INSTALL_PREFIX} PATH=${CMAKE_INSTALL_PREFIX}/bin;${CMAKE_INSTALL_PREFIX}/opt/rviz_assimp_vendor/bin;${CMAKE_INSTALL_PREFIX}/opt/rviz_yaml_cpp_vendor/bin;${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor/bin)
#  if(TARGET point_cloud2_display_test)
#    target_link_libraries(point_cloud2_display_test rviz_default_plugins)
#  endif()

# TODO(greimela): reenable these tests once they can be run on the ci
#  ament_add_gtest(point_cloud_transformers_test
#      test/rviz_default_plugins/displays/pointcloud/message_creators.hpp
#      test/rviz_default_plugins/displays/pointcloud/message_creators.cpp
#      test/rviz_default_plugins/displays/pointcloud/point_cloud_transformers/axis_color_pc_transformer_test.cpp
#      test/rviz_default_plugins/displays/pointcloud/point_cloud_transformers/flat_color_pc_transformer_test.cpp
#      test/rviz_default_plugins/displays/pointcloud/point_cloud_transformers/intensity_pc_transformer_test.cpp
#      test/rviz_default_plugins/displays/pointcloud/point_cloud_transformers/rgb8_pc_transformer_test.cpp
#      test/rviz_default_plugins/displays/pointcloud/point_cloud_transformers/rgbf32_pc_transformer_test.cpp
#      test/rviz_default_plugins/displays/pointcloud/point_cloud_transformers/xyz_pc_transformer_test.cpp
#      APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_INSTALL_PREFIX} PATH=${CMAKE_INSTALL_PREFIX}/bin;${CMAKE_INSTALL_PREFIX}/opt/rviz_assimp_vendor/bin;${CMAKE_INSTALL_PREFIX}/opt/rviz_yaml_cpp_vendor/bin;${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor/bin)
#  if(TARGET point_cloud_transformers_test)
#    target_link_libraries(point_cloud_transformers_test rviz_default_plugins)
#  endif()

# TODO(greimela): reenable these tests once they can be run on the ci
#  ament_add_gmock(ros_image_texture_test
#      test/rviz_default_plugins/displays/image/ros_image_texture_test.cpp
#      APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_INSTALL_PREFIX} PATH=${CMAKE_INSTALL_PREFIX}/bin;${CMAKE_INSTALL_PREFIX}/opt/rviz_assimp_vendor/bin;${CMAKE_INSTALL_PREFIX}/opt/rviz_yaml_cpp_vendor/bin;${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor/bin)
#  if(TARGET ros_image_texture_test)
#    target_link_libraries(ros_image_texture_test rviz_default_plugins)
#  endif()

# TODO(greimela): reenable these tests once they can be run on the ci
#  ament_add_gmock(image_display_test
#      test/rviz_default_plugins/displays/image/image_display_test.cpp)
#      APPEND_ENV AMENT_PREFIX_PATH=${CMAKE_INSTALL_PREFIX} PATH=${CMAKE_INSTALL_PREFIX}/bin;${CMAKE_INSTALL_PREFIX}/opt/rviz_assimp_vendor/bin;${CMAKE_INSTALL_PREFIX}/opt/rviz_yaml_cpp_vendor/bin;${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor/bin)
#  if(TARGET image_display_test)
#    target_link_libraries(image_display_test rviz_default_plugins)
#  endif()
endif()

ament_package()

=== debian/changelog ===
ros-ardent-rviz-default-plugins (3.0.0-1xenial) xenial; urgency=high

  * Numerous changes to support Windows.
  * Added camera display.
  * Moved to ogre 1.10.11.
  * (Re)migrated TF display.
  * Added image display.
  * Moved point cloud displays to rviz_default_plugins.
  * Fixed rendering of point clouds where valid points were not rendered.
  * Added polygon display.
  * Disable robot model until it is properly ported.
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 07 Feb 2018 08:00:00 -0000

ros-ardent-rviz-default-plugins (2.0.0-1xenial) xenial; urgency=high

  * First version for ROS 2.
  * Contributors: Steven! Ragnarok, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.11-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 02 Aug 2017 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.10-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 06 Jun 2017 00:37:00 -0000

ros-ardent-rviz-default-plugins (1.12.9-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 21:23:00 -0000

ros-ardent-rviz-default-plugins (1.12.8-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 07 May 2017 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.7-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 05 May 2017 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.6-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 May 2017 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.5-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 01 May 2017 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.4-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 27 Oct 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.3-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 19 Oct 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.2-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 18 Oct 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.1-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 20 Apr 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.12.0-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 11 Apr 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.14-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 03 Apr 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.13-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.12-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 02:58:00 -0000

ros-ardent-rviz-default-plugins (1.11.11-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 01:16:00 -0000

ros-ardent-rviz-default-plugins (1.11.10-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.9-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 21 Sep 2015 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.8-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.7-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 02 Mar 2015 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.6-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 13 Feb 2015 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.5-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 11 Feb 2015 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.4-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 30 Oct 2014 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.3-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 26 Jun 2014 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.2-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 May 2014 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.1-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 01 May 2014 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.11.0-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Mar 2014 05:40:00 -0000

ros-ardent-rviz-default-plugins (1.10.14-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Mar 2014 05:35:00 -0000

ros-ardent-rviz-default-plugins (1.10.13-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 26 Feb 2014 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.10.12-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 25 Feb 2014 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.10.11-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 26 Jan 2014 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.10.10-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 22 Dec 2013 08:00:00 -0000

ros-ardent-rviz-default-plugins (1.10.9-1xenial) xenial; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 15 Oct 2013 07:00:00 -0000

ros-ardent-rviz-default-plugins (1.10.7-1xenial) xenial; urgency=high





=== debian/control ===
Source: ros-ardent-rviz-default-plugins
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-ardent-ament-cmake, ros-ardent-ament-cmake-cppcheck, ros-ardent-ament-cmake-cpplint, ros-ardent-ament-cmake-gmock, ros-ardent-ament-cmake-gtest, ros-ardent-ament-cmake-lint-cmake, ros-ardent-ament-cmake-uncrustify, ros-ardent-pluginlib, ros-ardent-rclcpp, ros-ardent-rviz-common, ros-ardent-rviz-rendering, ros-ardent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-ardent-rviz-default-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, ros-ardent-pluginlib, ros-ardent-rclcpp, ros-ardent-rviz-common, ros-ardent-rviz-rendering, ros-ardent-ros-workspace
Description: Several default plugins for rviz to cover the basic functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/ardent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/ardent" \
		-DAMENT_PREFIX_PATH="/opt/ros/ardent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-ardent-rviz-default-plugins//opt/ros/ardent/lib/:$(CURDIR)/debian/ros-ardent-rviz-default-plugins//opt/ros/ardent/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:/opt/ros/ardent/lib/:/opt/ros/ardent/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:$(CURDIR)/debian/ros-ardent-rviz-default-plugins//opt/ros/ardent/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-ardent-rviz-default-plugins//opt/ros/ardent/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-ardent-rviz-default-plugins//opt/ros/ardent/opt/rviz_yaml_cpp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_install
